%define url_ver %(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	CPU Graph plugin for the Xfce panel
Name:		xfce4-cpugraph-plugin
Version:	1.2.7
Release:	%mkrel 1
License:	BSD
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-cpugraph-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-cpugraph-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
Requires:	xfce4-panel >= 4.12.0

%description
xfce4-cpugraph-plugin is a panel plugin for Xfce panel.
It shows a graph of your latest system load.

%prep
%autosetup -p1

%build
#to fix debug symbols build
%xdt_autogen
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README*
%{_libdir}/xfce4/panel/plugins/libcpugraph.so
%{_datadir}/xfce4/panel/plugins/cpugraph.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.panel.cpugraph.{png,svg}



%changelog
* Fri Nov 04 2022 wally <wally> 1.2.7-1.mga9
+ Revision: 1902909
- new version 1.2.7

* Thu Apr 14 2022 wally <wally> 1.2.6-1.mga9
+ Revision: 1849613
- new version 1.2.6

* Mon Apr 04 2022 umeabot <umeabot> 1.2.5-2.mga9
+ Revision: 1843778
- Mageia 9 Mass Rebuild

* Sun Oct 10 2021 wally <wally> 1.2.5-1.mga9
+ Revision: 1750537
- new version 1.2.5

* Sun Oct 03 2021 wally <wally> 1.2.4-1.mga9
+ Revision: 1748921
- new version 1.2.4

* Sat Feb 27 2021 wally <wally> 1.2.3-1.mga9
+ Revision: 1692753
- new version 1.2.3

* Sat Feb 27 2021 wally <wally> 1.2.2-1.mga9
+ Revision: 1692751
- new version 1.2.2

* Sat Feb 27 2021 wally <wally> 1.2.1-1.mga9
+ Revision: 1692717
- new version 1.2.1

* Mon Dec 28 2020 wally <wally> 1.2.0-1.mga8
+ Revision: 1664520
- new version 1.2.0

* Sat Oct 31 2020 wally <wally> 1.1.0-3.mga8
+ Revision: 1640956
- add upstream patch to fix build with xfce4-panel 4.15
- update URL

* Sat Feb 15 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1526840
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jul 03 2019 wally <wally> 1.1.0-1.mga8
+ Revision: 1417927
- new version 1.1.0

* Sat Jun 29 2019 wally <wally> 1.0.91-1.mga8
+ Revision: 1415574
- new version 1.0.91
- switch to gtk3

* Sun Sep 23 2018 umeabot <umeabot> 1.0.5-9.mga7
+ Revision: 1301853
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 1.0.5-8.mga6
+ Revision: 963515
- Mageia 6 Mass Rebuild

* Sat Sep 19 2015 wally <wally> 1.0.5-7.mga6
+ Revision: 881455
- fix debug symbols build

* Tue Mar 03 2015 wally <wally> 1.0.5-6.mga5
+ Revision: 817435
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-5.mga5
+ Revision: 742560
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 wally <wally> 1.0.5-4.mga5
+ Revision: 706911
- exclude plugin .so from provides
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.5-3.mga4
+ Revision: 520500
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 386799
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 wally <wally> 1.0.5-1.mga3
+ Revision: 267679
- new version 1.0.5

* Mon Jul 02 2012 wally <wally> 1.0.4-1.mga3
+ Revision: 266755
- new version 1.0.4

* Sat Jun 30 2012 wally <wally> 1.0.3-1.mga3
+ Revision: 265366
- new version 1.0.3

* Fri Jun 29 2012 wally <wally> 1.0.2-2.mga3
+ Revision: 265082
- add patch from upstream git to use transparency (mga#6620, xfce#8893)

* Mon May 28 2012 wally <wally> 1.0.2-1.mga3
+ Revision: 248568
- new version 1.0.3
- clean .spec

* Tue Jan 03 2012 wally <wally> 1.0.1-3.mga2
+ Revision: 190057
- rebuild for new xfce4-panel

* Sat Feb 19 2011 ahmad <ahmad> 1.0.1-2.mga1
+ Revision: 54174
- imported package xfce4-cpugraph-plugin


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 632777
- update to new version 1.0.1
- package new icons

* Sun Oct 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 582770
- update to new version 1.0.0
- tune up buildrequires
- update url for source 1
- corrent the docs files

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-8mdv2010.1
+ Revision: 543421
- rebuild for mdv 2010.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.4.0-7mdv2010.0
+ Revision: 445980
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-6mdv2009.1
+ Revision: 349448
- rebuild for xfce-4.6.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-5mdv2009.1
+ Revision: 294991
- rebuild for new Xfce4.6 beta1

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.4.0-4mdv2009.0
+ Revision: 262355
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.4.0-3mdv2009.0
+ Revision: 256837
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- better description

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Nov 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-1mdv2008.1
+ Revision: 111402
- package translation files
- new version

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-5mdv2008.1
+ Revision: 110114
- use tarball name as a real name
- correct buildrequires
- do not package COPYING and INSTALL files
- use upstream name

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-5mdv2008.0
+ Revision: 33222
- spec file clean
- update url

